<?php
// archive.php
// Neptune theme for WordPress 1.5
// Copyright (C) 2005 Ben de Groot
// Distributed under the terms of the GNU General Public License v2

get_header();
?>
<?php if (have_posts()) : ?>

<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. Taken from Kubrick. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
<h2>Archives for the '<?php echo single_cat_title(); ?>' Category</h2>

<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
<h2>Archives for <?php the_time('j F Y'); ?></h2>

<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
<h2>Archives for <?php the_time('F Y'); ?></h2>

<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
<h2>Archives for <?php the_time('Y'); ?></h2>

<?php /* If this is a search */ } elseif (is_search()) { ?>
<h2>Search Results</h2>

<?php /* If this is an author archive */ } elseif (is_author()) { ?>
<h2>Author Archives</h2>

<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<h2>Blog Archives</h2>

<?php } ?>

	<p class="nav"><span class="prev"><?php posts_nav_link('','','&#171; Previous Entries') ?></span>
	<span class="next"><?php posts_nav_link('','Next Entries &#187;','') ?></span></p>

<?php while (have_posts()) : the_post(); ?>

	<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php 
if (function_exists('ImageHeadline_imagine')) { 
    the_title('-image-'); 
} else {
    the_title();
} 
?></a></h3>
	<p class="posted">Published on <a href="<?php the_permalink() ?>" rel="bookmark" title="Permalink"><?php the_time('j M Y'); ?> at <?php the_time(); ?></a>.
	<?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?>.
	<?php edit_post_link($link = 'Edit', $before = '', $after = ''); ?><br />
	Filed under <?php the_category(','); ?>.</p>
	<?php the_excerpt(); ?>
	<p class="more"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permalink">Read &#8216;<?php the_title(); ?>&#8217;</a></p>


<?php endwhile; ?>
	<p class="nav"><span class="prev"><?php posts_nav_link('','','&#171; Previous Entries') ?></span>
	<span class="next"><?php posts_nav_link('','Next Entries &#187;','') ?></span></p>

<?php else: ?>
	<p>Sorry, nothing found.</p>
<?php endif; ?>

<?php get_footer(); ?>